Bug 1173630 - (CVE-2020-15395) VUL-0: CVE-2020-15395: libmediainfo, mediainfo: buffer overflow in the MpegPs parser
(CVE-2020-15395)
VUL-0: CVE-2020-15395: libmediainfo, mediainfo: buffer overflow in the MpegPs...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P3 - Medium : Minor (vote)
: ---
Assigned To: Luigi Baldoni
Security Team bot
https://smash.suse.de/issue/262592/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-02 12:53 UTC by Wolfgang Frisch
Modified: 2020-09-18 16:56 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2020-07-02 12:53:28 UTC
CVE-2020-15395

In MediaInfoLib in MediaArea MediaInfo 20.03, there is a stack-based buffer over-read in Streams_Fill_PerStream in Multiple/File_MpegPs.cpp (aka an off-by-one during MpegPs parsing).

References:
https://sourceforge.net/p/mediainfo/bugs/1127/
https://bugzilla.redhat.com/show_bug.cgi?id=1852956
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-15395
http://people.canonical.com/~ubuntu-security/cve/2020/CVE-2020-15395.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-15395
https://mediaarea.net/en/MediaInfo
Comment 1 Wolfgang Frisch 2020-07-02 14:39:45 UTC
Reproducible with the version in openSUSE:Factory, compiled with ASAN:

==14490==ERROR: AddressSanitizer: stack-buffer-overflow on address 0x7ffce5bcc918 at pc 0x7f547abe37ed bp 0x7ffce5bcc5f0 sp 0x7ffce5bcc5e8
Comment 2 OBSbugzilla Bot 2020-09-04 16:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1173630) was mentioned in
https://build.opensuse.org/request/show/832362 15.2 / libmediainfo
Comment 3 Swamp Workflow Management 2020-09-08 22:14:32 UTC
openSUSE-RU-2020:1390-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1173630
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    libmediainfo-20.08-lp152.4.3.1, mediainfo-20.08-lp152.4.3.1
Comment 4 Marcus Meissner 2020-09-13 07:16:00 UTC
released
Comment 5 Swamp Workflow Management 2020-09-18 16:56:55 UTC
openSUSE-RU-2020:1429-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1173630
CVE References: 
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    libmediainfo-20.08-bp152.4.3.1, mediainfo-20.08-bp152.4.3.1